# Interface Format

All Known Implementing Classes:
  `DefaultFormat`

@UML(identifier="MD_Format", specification=ISO_19115) public interface Format
Description of the computer language construct that specifies the representation of data objects in a record, file, message, storage device or transmission channel.

Since:
  2.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InternationalString`
  `getAmendmentNumber()`
  Amendment number of the format version.
  `InternationalString`
  `getFileDecompressionTechnique()`
  Recommendations of algorithms or processes that can be applied to read or expand resources to which compression techniques have been applied.
  `Collection<? extends Distributor>`
  `getFormatDistributors()`
  Provides information about the distributor's format.
  `InternationalString`
  `getName()`
  Name of the data transfer format(s).
  `InternationalString`
  `getSpecification()`
  Name of a subset, profile, or product specification of the format.
  `InternationalString`
  `getVersion()`
  Version of the format (date, number, etc).

- ## Method Details

  - ### getName

    @Profile(level=CORE) @UML(identifier="name", obligation=MANDATORY, specification=ISO_19115) InternationalString getName()
    Name of the data transfer format(s).
    Returns:
      Name of the data transfer format(s).

  - ### getVersion

    @Profile(level=CORE) @UML(identifier="version", obligation=MANDATORY, specification=ISO_19115) InternationalString getVersion()
    Version of the format (date, number, etc).
    Returns:
      Version of the format.

  - ### getAmendmentNumber

    @UML(identifier="amendmentNumber", obligation=OPTIONAL, specification=ISO_19115) InternationalString getAmendmentNumber()
    Amendment number of the format version.
    Returns:
      Amendment number of the format version, or `null`.

  - ### getSpecification

    @UML(identifier="specification", obligation=OPTIONAL, specification=ISO_19115) InternationalString getSpecification()
    Name of a subset, profile, or product specification of the format.
    Returns:
      Name of a subset, profile, or product specification of the format, or `null`.

  - ### getFileDecompressionTechnique

    @UML(identifier="fileDecompressionTechnique", obligation=OPTIONAL, specification=ISO_19115) InternationalString getFileDecompressionTechnique()
    Recommendations of algorithms or processes that can be applied to read or expand resources to which compression techniques have been applied.
    Returns:
      Processes that can be applied to read resources to which compression techniques have been applied, or `null`.

  - ### getFormatDistributors

    @UML(identifier="formatDistributor", obligation=OPTIONAL, specification=ISO_19115) Collection<? extends Distributor> getFormatDistributors()
    Provides information about the distributor's format.
    Returns:
      Information about the distributor's format.